<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Science and Engineering Ethics 92001) 7, 231-238 </title>
</head>
<body>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h3>IEEE CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>

	<p>
		<b>PREAMBLE</b>
		<br>
		<br>
		The short version of the code summarized aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspiration, the deails can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
		<br>
		<br>
		Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles.


		<br>
		<br>
		<b>PRINCIPLES</b>
		<br>
		<br>

		

		1. <em>Public.</em> Software engineers shall act consistently with the public interest.
		<br>
		2. <em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.
		<br>
		3. <em>Product.</em> Software engineers shall ensure that their products and related modification meet the highest professional standards possible.
		<br>
		4. <em>Judgment.</em> Software engineers shall integrity and independence in their profession judgment.
		<br>
		5. <em>Management. </em>Software engineers managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.
		<br>
		6. <em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.
		<br>
		7. <em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.
		<br>
		8. <em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.
	</p>

</body>
</html>